Bug 476330 - Kickstart Configurator 2.7.20
Kickstart Configurator 2.7.20
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 23:49 EST by vitaliy.buchynskyy
Modified: 2009-01-31 20:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 20:37:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart Configurator 2.7.20 bug (1.26 KB, text/plain)
2008-12-12 23:56 EST, vitaliy.buchynskyy
no flags Details

  None (edit)
Description vitaliy.buchynskyy 2008-12-12 23:49:59 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 vitaliy.buchynskyy 2008-12-12 23:53:03 EST
Component: system-config-kickstart
Summary: TBc2093091 transactioninfo.py:197:add:AttributeError: 'NoneType' object has no attribute 'contains'

Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 315, in on_activate_open
    self.applyKickstart()
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 347, in applyKickstart
    self.packages_class.applyKickstart()
  File "/usr/share/system-config-kickstart/packages.py", line 300, in applyKickstart
    self.y.selectGroup(grp.groupid)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 1939, in selectGroup
    txmbrs = self.install(name = pkg)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 2461, in install
    txmbr = self.tsInfo.addInstall(po)
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 314, in addInstall
    self.add(txmbr)
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 197, in add
    if self.rpmdb.contains(po=pkg):
AttributeError: 'NoneType' object has no attribute 'contains'

Local variables in innermost frame:
txmember: xorg-x11-server-Xorg.x86_64 0-1.5.3-5.fc10 - u
pkg: scim-lang-assamese-1.4.7-35.fc10.x86_64
self: <yum.transactioninfo.TransactionData instance at 0x7f8dad039e18>
Comment 2 vitaliy.buchynskyy 2008-12-12 23:56:54 EST
Created attachment 326800 [details]
Kickstart Configurator 2.7.20 bug
Comment 3 Jeroen van Meeuwen 2008-12-13 08:07:25 EST
Could you please elaborate on the steps you take to get to this traceback?
Comment 4 vitaliy.buchynskyy 2008-12-19 11:11:40 EST
I was trying to edit kickstart file with Kickstart Configurator 2.7.20 and this is how it generated this report
Comment 5 Jeroen van Meeuwen 2008-12-19 12:46:01 EST
I haven't heard of a utility called "Kickstart Configurator" before. The traceback you logged mentions system-config-kickstart, but you logged this bug against component Revisor.

Again, please elaborate on the exact steps you take to get to this traceback:

I'm assuming you run Fedora 10.
I'm assuming you do Applications > System Tools > Kickstart

What kickstart file are you trying to edit?
Comment 6 Fedora Admin XMLRPC Client 2009-01-31 19:05:55 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jeroen van Meeuwen 2009-01-31 20:37:01 EST
No response from customer

Note You need to log in before you can comment on or make changes to this bug.